
From: Gerald Schaefer <geraldsc@de.ibm.com>

There is a memory leak during mount when SELinux is active and mount
options are specified.

Signed-off-by: Gerald Schaefer <geraldsc@de.ibm.com>
Acked-by:  Stephen Smalley <sds@epoch.ncsc.mil>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 security/selinux/hooks.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN security/selinux/hooks.c~selinux-memory-leak-in-selinux_sb_copy_data security/selinux/hooks.c
--- 25/security/selinux/hooks.c~selinux-memory-leak-in-selinux_sb_copy_data	Fri Jun 17 13:51:31 2005
+++ 25-akpm/security/selinux/hooks.c	Fri Jun 17 13:51:31 2005
@@ -1945,6 +1945,7 @@ static int selinux_sb_copy_data(struct f
 	} while (*in_end++);
 
 	copy_page(in_save, nosec_save);
+	free_page((unsigned long)nosec_save);
 out:
 	return rc;
 }
_
